# $Revision: 1.98 $, $Date: 2012/01/31 11:51:09 $
# TODO:
# - support for libdclassify
# - oracle driver
# - messages from default install of cron with mysql driver Memory fault
# - remove versioned sonames from drivers
#
# Conditional build:
%bcond_without	mysql	# disable MySQL storage driver
%bcond_without	pgsql	# disable PostgreSQL storage driver
%bcond_without	sqlite	# disable SQLite3 storage driver
%bcond_with	mysql40 # use with mysql 4.0

%include	/usr/lib/rpm/macros.perl
Summary:	A library and Mail Delivery Agent for Bayesian spam filtering
Summary(pl.UTF-8):	Biblioteka i MDA do bayesowskiego filtrowania spamu
Name:		dspam
Version:	3.9.0
Release:	6
License:	GPL v2+
Group:		Applications/Mail
Source0:	http://downloads.sourceforge.net/project/dspam/dspam/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	10d092b57d628d8c91655fee5dc0d0cd
Source1:	%{name}.init
Source2:	%{name}-apache.conf
Source3:	%{name}.tmpfiles
Patch0:		%{name}-webui.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-speedup.patch
Patch3:		%{name}-autotools.patch
Patch4:		%{name}-single-char-usernames.patch
URL:		http://dspam.nuclearelephant.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	clamav-devel
BuildRequires:	libtool
%{?with_mysql:BuildRequires:	mysql-devel}
BuildRequires:	openldap-devel >= 2.4.6
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
%{?with_sqlite:BuildRequires:	sqlite3-devel}
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	%{name}-driver = %{version}-%{release}
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}

# symbols are provided by dspam executable
%define		skip_post_check_so	libdspam.so.7.0.0 lib(hash\|mysql\|pgsql\|sqlite3)_drv.so.7.0.0

%description
DSPAM (as in De-Spam) is an open-source project to create a new kind
of anti-spam mechanism, and is currently effective as both a
server-side agent for UNIX email servers and a developer's library for
mail clients, other anti-spam tools, and similar projects requiring
drop-in spam filtering.

The DSPAM agent masquerades as the email server's local delivery agent
and filters/learns spams using an advanced Bayesian statistical
approach (based on Bayes's theorem of combined probabilities) which
provides an administratively maintenance-free, easy-learning Anti-Spam
service custom tailored to each individual user's behavior. Advanced
because on top of standard Bayesian filtering is also incorporated the
use of Chained Tokens, de-obfuscation, and other enhancements. DSPAM
works great with Sendmail and Exim, and should work well with any
other MTA that supports an external local delivery agent (postfix,
qmail, etc.)

%description -l pl.UTF-8
DSPAM (czyli De-Spam) to projekt o otwartych źródłach mający na celu
stworzenie nowego rodzaju mechanizmu antyspamowego. Aktualnie jest
efektywny zarówno jako działający po stronie serwera agent dla
uniksowych serwerów pocztowych jak i biblioteka dla programistów
klientów pocztowych, innych narzędzi antyspamowych i innych projektów
wymagających filtrowania spamu w locie.

Agent DSPAM zachowuje się jak lokalny agent dostarczania poczty (MDA)
i filtruje/uczy się spamu przy użyciu zaawansowanego bayesowskiego
przybliżenia statystycznego (opartego na twierdzeniu Bayesa o
połączonych prawdopodobieństwach), dając nie wymagającą obsługi
administracyjnej, łatwo uczącą się usługę antyspamową dostosowaną do
zachowania każdego użytkownika. Metoda jest zaawansowana ponieważ na
podstawie standardowego filtrowania bayesowskiego wprowadzono użycie
tokenów łańcuchowych, eliminowanie ukrywanie i inne rozszerzenia.
DSPAM działa wspaniale z Sendmailem i Eximem, powinien działać dobrze
z każdym innym MTA obsługującym zewnętrznego agenta MDA (postfiksem,
qmailem itd.).

%package client
Summary:	dspam client
Summary(pl.UTF-8):	Klient dspam
Group:		Applications/Mail
Requires:	%{name}-common

%description client
dspam client.

%description client -l pl.UTF-8
Klient dspam.

%package common
Summary:	Common files for dspam packages
Summary(pl.UTF-8):	Wspólne pliki dla pakietów z dspamem
Group:		Applications/Mail

%description common
Common files for dspam and dspam-client packages.

%description common -l pl.UTF-8
Wspólne pliki dla pakietów dspam i dspam-client.

%package libs
Summary:	A library for Bayesian spam filtering
Summary(pl.UTF-8):	Biblioteka do bayesowskiego filtrowania spamu
Group:		Libraries
Obsoletes:	dspam-driver-db

%description libs
DSPAM (as in De-Spam) is an open-source project to create a new kind
of anti-spam mechanism, and is currently effective as both a
server-side agent for UNIX email servers and a developer's library for
mail clients, other anti-spam tools, and similar projects requiring
drop-in spam filtering.

This package contains the library.

%description libs -l pl.UTF-8
DSPAM (czyli De-Spam) to projekt o otwartych źródłach mający na celu
stworzenie nowego rodzaju mechanizmu antyspamowego. Aktualnie jest
efektywny zarówno jako działający po stronie serwera agent dla
uniksowych serwerów pocztowych jak i biblioteka dla programistów
klientów pocztowych, innych narzędzi antyspamowych i innych projektów
wymagających filtrowania spamu w locie.

Ten pakiet zawiera wspomnianą bibliotekę.

%package devel
Summary:	Header files for the DSPAM library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki DSPAM
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
DSPAM has had its core engine moved into a separate library, libdspam.
This library can be used by developers to provide 'drop-in' spam
filtering for their mail client applications, other anti-spam tools,
or similar projects.

%description devel -l pl.UTF-8
Główny silnik DSPAM został przeniesiony do oddzielnej biblioteki
libdspam, która może być używana przez programistów do zapewnienia
filtrowania spamu w locie dla aplikacji klientów pocztowych, innych
narzędzi antyspamowych i podobnych projektów.

%package static
Summary:	Static DSPAM library
Summary(pl.UTF-8):	Statyczna biblioteka DSPAM
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static DSPAM library.

%description static -l pl.UTF-8
Statyczna biblioteka DSPAM.

%package driver-hash
Summary:	HASH driver for DSPAM
Summary(pl.UTF-8):	Sterownik HASH dla DSPAM-a
Group:		Libraries
Requires(post):	sed >= 4.0
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-driver = %{version}-%{release}

%description driver-hash
HASH driver for DSPAM.

%description driver-hash -l pl.UTF-8
Sterownik HASH dla DSPAM-a.

%package driver-mysql
Summary:	MySQL driver for DSPAM
Summary(pl.UTF-8):	Sterownik MySQL dla DSPAM-a
Group:		Libraries
Requires(post):	sed >= 4.0
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-driver = %{version}-%{release}

%description driver-mysql
MySQL driver for DSPAM.

%description driver-mysql -l pl.UTF-8
Sterownik MySQL dla DSPAM-a.

%package driver-pgsql
Summary:	PostgreSQL driver for DSPAM
Summary(pl.UTF-8):	Sterownik PostgreSQL dla DSPAM-a
Group:		Libraries
Requires(post):	sed >= 4.0
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-driver = %{version}-%{release}

%description driver-pgsql
PostgreSQL driver for DSPAM.

%description driver-pgsql -l pl.UTF-8
Sterownik PostgreSQL dla DSPAM-a.

%package driver-sqlite3
Summary:	SQLite driver for DSPAM
Summary(pl.UTF-8):	Sterownik SQLite dla DSPAM-a
Group:		Libraries
Requires(post):	sed >= 4.0
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-driver = %{version}-%{release}
Obsoletes:	dspam-driver-sqlite

%description driver-sqlite3
SQLite driver for DSPAM.

%description driver-sqlite3 -l pl.UTF-8
Sterownik SQLite dla DSPAM-a.

%package webui
Summary:	DSPAM Web UI
Summary(pl.UTF-8):	Interfejs WWW do programu DSPAM
Group:		Applications/WWW
Requires:	webapps
# needs dspam binary
Requires:	%{name} = %{version}-%{release}

%description webui
The Web UI (CGI client) can be run from any executable location on a
web server, and detects its user's identity from the REMOTE_USER
environment variable. This means you'll need to use HTTP password
authentication to access the CGI (Any type of authentication will
work, so long as Apache supports the module). This is also convenient
in that you can set up authentication using almost any existing system
you have. The only catch is that you'll need the usernames to match
the actual DSPAM usernames used the system. A copy of the shadow
password file will suffice for most common installs.

%description webui -l pl.UTF-8
Interfejs użytkownika WWW (klient CGI) może być uruchamiany z
dowolnego wykonywalnego miejsca na serwerze WWW i rozpoznaje tożsamość
użytkownika ze zmiennej środowiskowej REMOTE_USER. Oznacza to, że
trzeba użyć uwietrzytelnienia HTTP z hasłem do dostępu do CGI (działać
będzie dowolny rodzaj uwierzytelnienia obsługiwany przez moduły
Apache'a). Jest to o tyle wygodne, że można skonfigurować
uwierzytelnianie dla prawie każdego istniejącego systemu. Jedynym
wymogiem jest, żeby nazwy użytkowników pokrywały się z nazwami
użytkowników DSPAM-a używanymi w systemie. Kopia pliku shadow
wystarczy dla większości popularnych instalacji.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
sed -i -e 's#\-static##g' src/Makefile* src/*/Makefile*
%{?with_mysql40:sed -i -e 's#40100#99999#g' src/mysql_drv.c}
sed -i -e 's,/usr/local/dspam/bin,/usr/bin,' ./scripts/train.pl

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

DRIVERS="
hash_drv
%{?with_mysql:mysql_drv}
%{?with_pgsql:pgsql_drv}
%{?with_sqlite:sqlite3_drv}
"
%configure \
	--disable-dependency-tracking \
	%{?debug: --enable-debug --enable-bnr-debug --enable-verbose-debug} \
	--enable-trusted-user-security \
	--enable-large-scale \
	--with-dspam-home=/var/lib/%{name} \
	--with-dspam-home-owner=none \
	--with-dspam-home-group=none \
	--with-dspam-owner=none \
	--with-dspam-group=none \
	--with-logdir=/var/log/%{name} \
	--enable-ldap \
	--enable-clamav \
	--enable-preferences-extension \
	--enable-long-usernames \
	--enable-virtual-users \
	--with-storage-driver=$(echo $DRIVERS | tr ' ' ',') \
%if %{with mysql}
	--with-mysql-includes=%{_includedir}/mysql \
	--with-mysql-libraries=%{_libdir} \
%endif
%if %{with pgsql}
	--with-pgsql-includes=%{_includedir}/postgresql \
	--with-pgsql-libraries=%{_libdir} \
%endif
%if 0
%if %{with sqlite}
	--with-sqlite-includes=%{_includedir} \
	--with-sqlite-libraries=%{_libdir} \
%endif
%endif
	--enable-daemon

# --enable-dclassify-extension needs libdclassify

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/run/dspam,/etc/{rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT/var/lib/%{name}/{txt,data} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/dspam

cp -a txt/*.txt $RPM_BUILD_ROOT/var/lib/%{name}/txt

# install devel files
install -d $RPM_BUILD_ROOT{%{_includedir}/%{name},/var/{log,lib}/%{name}}
install src/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}

# provide maintenance scripts
install -d $RPM_BUILD_ROOT/etc/cron.{daily,weekly}
cat > $RPM_BUILD_ROOT/etc/cron.daily/%{name} <<EOF
#!/bin/sh
exec %{_bindir}/%{name}_clean -s -p
EOF

chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/%{name}

# fix purge stuff
#install dspam-cron.weekly $RPM_BUILD_ROOT%{_sysconfdir}/cron.weekly/%{name}

%if %{with mysql}
cat > $RPM_BUILD_ROOT/var/lib/%{name}/mysql.data <<EOF
_UNCONFIGURED_

Note!

This file can only contain 5 lines with the following values:

HOSTNAME
PORT
USERNAME
PASSWORD
DATABASE
EOF
%endif

%if %{with pgsql}
cat > $RPM_BUILD_ROOT/var/lib/%{name}/pgsql.data <<EOF
_UNCONFIGURED_

Note!

This file can only contain 5 lines with the following values:

HOSTNAME
PORT
USERNAME
PASSWORD
DATABASE
EOF
%endif

install -d $RPM_BUILD_ROOT%{_webapps}/%{_webapp}
install %{SOURCE2} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/httpd.conf
touch $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/htpasswd

install %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

# cleanup
%{__rm} $RPM_BUILD_ROOT%{_libdir}/dspam/*.{a,la}

%post
/sbin/chkconfig --add dspam
%service dspam restart "dspam daemon"

%preun
if [ "$1" = "0" ]; then
	%service dspam stop
	/sbin/chkconfig --del dspam
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post driver-hash
%{__sed} -i -e '/^StorageDriver/s,/.*\.so,%{_libdir}/dspam/libhash_drv.so,' /etc/dspam.conf

%post driver-mysql
%{__sed} -i -e '/^StorageDriver/s,/.*\.so,%{_libdir}/dspam/libmysql_drv.so,' /etc/dspam.conf

%post driver-pgsql
%{__sed} -i -e '/^StorageDriver/s,/.*\.so,%{_libdir}/dspam/libpgsql_drv.so,' /etc/dspam.conf

%post driver-sqlite3
%{__sed} -i -e '/^StorageDriver/s,/.*\.so,%{_libdir}/dspam/libsqlite3_drv.so,' /etc/dspam.conf

%triggerin webui -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun webui -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin webui -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun webui -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README CHANGELOG RELEASE.NOTES UPGRADING
%doc doc/{courier,exim,markov,pop3filter,postfix,qmail,relay,sendmail}.txt
%doc scripts/train.pl
/usr/lib/tmpfiles.d/%{name}.conf
%dir %attr(775,root,mail) /var/run/dspam
%dir %attr(750,root,mail) /var/lib/%{name}
%dir %attr(770,root,mail) /var/lib/%{name}/data
%dir /var/lib/%{name}/txt
%dir %{_libdir}/dspam
%config(noreplace) %verify(not md5 mtime size) /var/lib/%{name}/txt/*.txt
%dir %attr(770,root,mail) /var/log/dspam
%attr(754,root,root) /etc/rc.d/init.d/dspam
%attr(755,root,root) %config(noreplace) /etc/cron.daily/%{name}
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}_logrotate
%attr(755,root,root) %{_bindir}/%{name}_clean
%attr(755,root,root) %{_bindir}/%{name}_crc
%attr(755,root,root) %{_bindir}/%{name}_dump
%attr(755,root,root) %{_bindir}/%{name}_stats
%attr(755,root,root) %{_bindir}/%{name}_merge
%attr(755,root,root) %{_bindir}/%{name}_2sql
%attr(755,root,root) %{_bindir}/%{name}_admin
%attr(755,root,root) %{_bindir}/%{name}_train
%{_mandir}/man?/%{name}*

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}c

%files common
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dspam.conf

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdspam.so.7.0.0
%attr(755,root,root) %ghost %{_libdir}/libdspam.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdspam.so
%{_libdir}/libdspam.la
%{_includedir}/%{name}
%{_mandir}/man3/libdspam.3*
%{_pkgconfigdir}/dspam.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libdspam.a

%files driver-hash
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/css*
%attr(755,root,root) %{_libdir}/dspam/libhash_drv.so*

%if %{with mysql}
%files driver-mysql
%defattr(644,root,root,755)
%doc doc/mysql_drv.txt src/tools.mysql_drv/*.sql
%attr(640,root,mail) %config(noreplace) /var/lib/%{name}/mysql.data
%attr(755,root,root) %{_libdir}/dspam/libmysql_drv.so*
%endif

%if %{with pgsql}
%files driver-pgsql
%defattr(644,root,root,755)
%doc doc/pgsql_drv.txt src/tools.pgsql_drv/*.sql
%attr(640,root,mail) %config(noreplace) /var/lib/%{name}/pgsql.data
%attr(755,root,root) %{_bindir}/%{name}_pg2int8
%attr(755,root,root) %{_libdir}/dspam/libpgsql_drv.so*
%endif

%if %{with sqlite}
%files driver-sqlite3
%defattr(644,root,root,755)
%doc doc/sqlite_drv.txt
%attr(755,root,root) %{_libdir}/dspam/libsqlite3_drv.so*
%endif

%files webui
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_webapps}/%{_webapp}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/htpasswd
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/admins
%attr(660,root,http) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/default.prefs
%config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/configure.pl

%dir %{_datadir}/dspam
%dir %{_datadir}/dspam/cgi
%attr(755,root,root) %{_datadir}/dspam/cgi/*.cgi
%{_datadir}/dspam/cgi/templates
%{_datadir}/dspam/htdocs

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dspam.spec,v $
Revision 1.98  2012/01/31 11:51:09  baggins
- release 6

Revision 1.97  2012/01/31 11:31:25  baggins
- added tmpfiles config for systemd

Revision 1.96  2011/05/16 15:37:21  megabajt
- added skip_post_check_so (libraries use symbols from executable)
- force make -j1 for install to fix build
- release 5

Revision 1.95  2011/05/16 13:31:04  arekm
- release 4

Revision 1.94  2011/05/16 10:09:03  dzeus
- logdir added, rel. 3

Revision 1.93  2011/03/31 18:10:40  arekm
- release 2

Revision 1.92  2011/02/04 23:19:37  sparky
- %description for correct %package

Revision 1.91  2010/04/27 00:55:39  pawelz
- rel 1

Revision 1.90  2010/04/27 00:55:21  pawelz
- dont install .la and .a files for dlopen()-ed plugins

Revision 1.89  2010/04/27 00:29:31  pawelz
- install %{_libdir}/dspam directory (should it go to -libs?)
- dont install so symlinks for plugins that are ldopen-ed

Revision 1.88  2010/04/27 00:27:20  pawelz
- GPL version
- use macros in Source0

Revision 1.87  2010/04/26 23:55:18  pawelz
- updated TODO
- more verbose %files

Revision 1.86  2010/04/26 23:48:45  pawelz
- really disable parallel build

Revision 1.85  2010/04/26 23:47:56  pawelz
- fix %post scriptlets (now plugins are installed in dspam subdir)

Revision 1.84  2010/04/26 23:38:50  pawelz
- fix %files (now plugins are installed in dspam subdir)

Revision 1.83  2010/04/26 23:33:23  pawelz
- disable parallel build (thx sparky)

Revision 1.82  2010/04/26 22:55:38  pawelz
- up to 3.9.0
- rel 0.1 (does not build)

Revision 1.81  2010/04/25 22:07:47  pawelz
- applied patch4 (fixe single-char usernames handling in webui)
- TODO: upgrade to 3.9.0
- rel 2

Revision 1.80  2010/04/20 15:55:57  pawelz
- rel 1

Revision 1.79  2009/11/27 11:18:10  glen
- soname remove from drivers todo

Revision 1.78  2009/11/27 09:34:07  pawelz
- *_drv.so moved to driver subpackages. dspam loads drivers using .so files, not .so.SONAME.
- added TODO
- rel 0.2

Revision 1.77  2009/03/06 20:50:01  pawelz
- decreased rel to 0.1. It still does not build.

Revision 1.76  2009/03/06 20:23:14  pawelz
- renamed driver-sqlite subpackage to driver-sqlite3, to match driver name

Revision 1.75  2009/03/06 20:17:17  pawelz
- moved dspam.conf to -common subpackage. (removed TODO line)
- fixed last commit log

Revision 1.74  2009/03/06 20:06:19  pawelz
- *use* sqlite3
- patched confiure.ac (patch3, thx megabajt)
- removed TODO line about autoconf problems
- unified %files (ghost so symlinks etc)
- it is enough to install README and CHANGELOG once
- rel 1

Revision 1.73  2008/12/15 18:21:39  pawelz
- added TODO line: it does not build with new autotools

Revision 1.72  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.71  2007/08/21 06:15:36  glen
- update to 3.8.0-STABLE
- always patch config with storage driver update

Revision 1.70  2007/06/24 08:40:50  qboosh
- drivers need base, not just -libs (for dspam.conf file)

Revision 1.69  2007/04/07 08:04:27  qboosh
- Obsoletes for dropped -driver-db

Revision 1.68  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.67  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.66  2006/10/27 20:41:17  arekm
- url fix

Revision 1.65  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.64  2006/06/13 11:47:05  arekm
- up to 3.6.8; DB driver no longer available

Revision 1.63  2006/05/19 09:21:50  qboosh
- pl for -webui

Revision 1.62  2006/05/07 21:59:22  glen
- package txt files
- add dspam_clean speedup patch

Revision 1.61  2006/05/07 17:55:39  glen
- drop unused /var/lib/%{name}/log symlink
- package /var/lib/%{name}/data and make it's parent not writable
- add scripts/train.pl to %doc
- cleanups

Revision 1.60  2006/05/07 16:40:23  glen
- config dspam server by default listen only local socket
- clean ups, fixed /var permissions

Revision 1.59  2006/05/07 14:25:23  glen
- fix webui permissions

Revision 1.58  2006/05/07 13:50:24  glen
- created -webui subpackage

Revision 1.57  2006/05/07 10:16:22  glen
- 3.6.5

Revision 1.56  2006/04/16 21:36:13  glen
- use %service

Revision 1.55  2006/04/16 21:35:10  glen
- fix chkconfig, rc-scripts deps

Revision 1.54  2006/03/02 11:47:57  inglod
- up to 3.6.4 (Latest Stable Release)

Revision 1.53  2006/02/02 07:55:26  arekm
- log dir added

Revision 1.52  2006/02/01 22:31:34  arekm
- attr changes

Revision 1.51  2006/02/01 20:56:34  arekm
- bcond works (mysql40)

Revision 1.50  2006/02/01 20:11:42  arekm
- choose mysql version from config

Revision 1.49  2006/02/01 19:08:06  arekm
- up to 3.6.3

Revision 1.48  2005/10/25 06:47:42  glen
- sed to place driver to config for -driver- packages
- set dspam-home-{owner,group} to avoid install warnings
- create $DRIVERS variable to avoid messing with commas and avoiding possible errors

Revision 1.47  2005/10/25 05:48:06  glen
- update todo

Revision 1.46  2005/10/21 20:27:09  qboosh
- typo

Revision 1.45  2005/10/21 19:43:41  qboosh
- pl for drivers

Revision 1.44  2005/10/21 18:03:03  arekm
- drivers as loadable modules; enable ldap support

Revision 1.43  2005/10/18 10:52:26  paszczus
- added version info to previous commit; adaptarized

Revision 1.42  2005/10/18 10:47:54  speedo
- Update [3.6.0]

Revision 1.41  2005/10/11 14:54:10  gotar
- don't use Chi-Square with Bayesian

Revision 1.40  2005/10/11 14:46:07  gotar
- disable default mysql when expicite enabled pgsql/sqlite

Revision 1.39  2005/10/11 14:40:35  gotar
- use debug instead of verbose,
- updated switches.

Revision 1.38  2005/08/27 20:28:06  arekm
- add verbose bcond

Revision 1.37  2005/08/10 13:48:34  glen
- make it possible to have all db backend bconds on at same time (for future)
- fixes to make vim syntax work properly
- other cosmetics

Revision 1.36  2005/08/08 20:48:47  arekm
- up to 3.4.9

Revision 1.35  2005/06/28 11:13:26  glen
- missing dspam.conf

Revision 1.34  2005/06/17 08:49:36  arekm
- move dspam.init into proper place.

Revision 1.33  2005/06/17 08:25:51  arekm
- mysql version is default now; sqlite2 support dropped; daemon mode enabled for mysql and postgresql

Revision 1.32  2005/06/17 06:29:18  arekm
- sqlite3 by default

Revision 1.31  2005/06/17 06:25:16  arekm
- up to 3.4.8

Revision 1.30  2005/05/09 21:11:46  arekm
- up to 3.4.6

Revision 1.29  2005/04/15 06:18:44  charles
- fix %files

Revision 1.28  2005/04/11 18:36:31  darekr
- one more dup file

Revision 1.27  2005/04/11 18:21:52  darekr
- killed dup files

Revision 1.26  2005/04/11 18:16:08  darekr
- killed setting perms in %install
- removed dup config file

Revision 1.25  2005/04/11 18:05:53  paszczus
- updated to 3.4.3
- adaptarized

Revision 1.24  2005/03/23 02:44:25  aredridel
- up to 3.4.1
- enable sqlite3

Revision 1.23  2005/03/08 07:12:14  djrzulf
- updated to 3.2.8,

Revision 1.22  2005/02/23 08:56:09  darekr
- BR: sed >= 4.0
- s/perl -pi/sed -i/
- unified

Revision 1.21  2005/02/18 22:36:29  djrzulf
- updated do 3.2.7,
- added READMEs,
- STBR AC-TEST,

Revision 1.20  2005/02/16 22:58:51  djrzulf
- fixed with mysql build,

Revision 1.19  2005/02/16 22:22:19  djrzulf
- not db4 driver,

Revision 1.18  2005/01/24 12:14:07  arekm
- build dynamic binaries instead of static

Revision 1.17  2005/01/24 11:40:40  arekm
- use sqlite by default, add configs

Revision 1.16  2005/01/19 21:48:43  paszczus
- updated to 3.2.5

Revision 1.15  2005/01/03 22:46:14  paszczus
- updated to 3.2.4

Revision 1.14  2004/11/22 11:02:55  malekith
- fix the %if syntax in the BR section

Revision 1.13  2004/11/01 12:56:29  paszczus
- updated to 3.2.1
- added BR: db-static

Revision 1.12  2004/10/28 12:42:31  paladine
- "PostgreSQL" unification

Revision 1.11  2004/10/28 12:22:22  paladine
- "MySQL" unification

Revision 1.10  2004/10/17 09:51:34  malekith
- fix the cron daily script -- it needs parameters and doesn't produce any output

Revision 1.9  2004/10/15 09:40:48  malekith
- fix the %if syntax, db4 driver works again

Revision 1.8  2004/08/17 14:34:19  paszczus
- added pgsql support (by konrad (at) rzentarzewski.net)
- release 1.1 (need tests)

Revision 1.7  2004/08/09 14:05:42  paszczus
- updated to 3.0.0
- updated dspam-Makefile.patch
- release 1

Revision 1.6  2004/05/21 06:51:00  pluto
- static linking removed.

Revision 1.5  2004/05/20 18:52:34  pluto
- more fixes...

Revision 1.4  2004/05/20 18:20:19  pluto
- mysql xor db4 support added.
- BR: fixed.
- %install NFY...

Revision 1.3  2004/05/20 17:19:17  pluto
- md5.

Revision 1.2  2004/05/18 17:02:50  qboosh
- pl, cleanups, separated -static

Revision 1.1  2004/05/17 22:22:19  arekm
- nfy
